package click.kamil.springstatemachineexporter.utils;

import java.nio.file.Path;
import java.util.Collections;
import java.util.List;

public record TestScenario(
        String name,
        Path inputPath,
        Path goldenPath,
        String baseName,
        List<String> activeProfiles
) {
    public TestScenario(String name, Path inputPath, Path goldenPath, String baseName) {
        this(name, inputPath, goldenPath, baseName, Collections.emptyList());
    }
}
